using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wTemplate_Content_默认模板_Content_Aspx_7:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:30
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("内容列表","其它","内容列表",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
	ID=Convert.ToInt32(Request.QueryString["ID"]);
	内容栏目=获取内容栏目();
	当前页面=程序.安装位置+"Column.aspx";
	排序=获取内容排序();
	一页显示记录数=获取一页显示记录数();
	生成下级栏目数据();
	跳页表单项="<postfield name=\"order\" value=\""+排序+"\" />"+
		"<postfield name=\"ID\" value=\""+ID+"\" />"+
		"<postfield name=\""+程序.设置["标识名称"]+"\" value=\""+
		访问.用户["标识"]+"\" />";
	_3G跳页表单项="<input type=\"hidden\" name=\"order\" value=\""+排序+"\" />"+
		"<input type=\"hidden\" name=\"ID\" value=\""+ID+"\" />"+
		"<input type=\"hidden\" name=\""+程序.设置["标识名称"]+"\" value=\""+访问.用户["标识"]+"\" />";
		查询条件+=" WHERE [是否审核]=@是否审核 AND [是否删除]=@是否删除 AND [所属栏目]=@所属栏目";
		String 数量语句SQL="SELECT COUNT(ID) FROM ["+程序.数据表前缀+"内容_音乐_音乐]"+查询条件;
		SqlCommand 数量语句=new SqlCommand(数量语句SQL,访问.连接);
		数量语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		数量语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		数量语句.Parameters.Add("@所属栏目",SqlDbType.Int).Value=ID;
		当前页=Convert.ToInt32(Request.QueryString["page"]);
		总记录数=Convert.ToInt32(数量语句.ExecuteScalar());
		总页数=常用.计算总页数(总记录数,一页显示记录数);
		当前页=常用.计算当前页(总页数,当前页);
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
  <head>
    <meta http-equiv=""Cache-Control"" content=""no-cache""/>
  </head>
  <card id=""main"" title=""");
		返回值.Append(Server.HtmlEncode(内容栏目["栏目名称"].ToString()));
		返回值.Append(@""">
    <p>");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"
");
		返回值.Append(内容栏目["栏目简介"].ToString()==""?"":常用.UBB转换(Server.HtmlEncode(内容栏目["栏目简介"].ToString())+"<br/>",访问.用户));
		返回值.Append(@"

<!--下级栏目-->

");
		if(Convert.ToBoolean(内容栏目["是否拥有子栏目"]))
		{
		返回值.Append(@"
下级栏目:<br/>

");
			下级栏目列表75O51UIQ();
		返回值.Append(@"
----------<br/>
");
		}
		返回值.Append(@"

<!--内容列表-->

");
		if(总页数<2)
		{
		}
		else
		{
		返回值.Append(@"共");
		返回值.Append(总记录数);
		返回值.Append(@"条记录<br/>");
		}
		返回值.Append(@"
");
		音乐列表7N9G45JT();
		返回值.Append(@"
");
		if(总页数<2)
		{
		}
		else
		{
		返回值.Append(@"----------<br/>
");
		返回值.Append(下页代码FSGLD7AB());
		返回值.Append(@"
");
		返回值.Append(上页代码FICZ551E());
		返回值.Append(@"
");
		返回值.Append(当前页);
		返回值.Append(@"/");
		返回值.Append(总页数);
		返回值.Append(@"页<br/>
<input type=""text"" name=""page"" format=""*N"" value=""2"" size=""2"" /><anchor><go href=""");
		返回值.Append(当前页面);
		返回值.Append(@""" method=""get"">");
		返回值.Append(跳页表单项);
		返回值.Append(@"<postfield name=""page"" value=""$(page)"" /></go>跳转</anchor><br/>");
		}
		返回值.Append(@"
<br/>

<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">首页</a>-");
		if(Convert.ToInt32(内容栏目["所属栏目"])!=0)
		{
			DataSet 数据0095VLR1=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
			返回值.Append(生成上级栏目列表代码0095VLR1(数据0095VLR1,Convert.ToInt32(内容栏目["所属栏目"])));
		}
		返回值.Append(Server.HtmlEncode(内容栏目["栏目名称"].ToString()));
		返回值.Append(@"<br/>
");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"
    </p>
  </card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private String 当前页面;
	//参数
	private int ID;
	private int 排序;
	//其它
	private String 跳页表单项;
	private String _3G跳页表单项;
	private String 查询条件="";
	private DataRow 内容栏目;
	private DataSet 下级栏目数据;
	//列表分页
	private int 当前页;
	private int 总页数;
	private int 总记录数;
	private int 一页显示记录数;
	private String 列表跳页(int 页码)
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?ID="+ID+"&order="+排序+
			"&page="+页码,访问.用户["标识"].ToString()));
	}
	private DataRow 获取内容栏目()
	{
		DataRow 返回值=null;
		DataSet 内容栏目=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
		for(int i=0;i<内容栏目.Tables[0].Rows.Count;i++)
		{
			DataRow 行=内容栏目.Tables[0].Rows[i];
			if(ID==0&&行["栏目类型"].ToString()=="音乐")
				ID=Convert.ToInt32(行["ID"]);
			if(Convert.ToInt32(行["ID"])==ID)
				返回值=行;
		}

		if(返回值==null)
			throw new Exception("内容栏目不存在");

		if(返回值["外部链接地址"].ToString()!="")
			Response.Redirect(常用.处理地址(返回值["外部链接地址"].ToString(),访问.用户["标识"].ToString()));


		return 返回值;
	}
	private int 获取内容排序()
	{
		if(Request.QueryString["order"]==null)
		{
			switch(内容栏目["默认排序方式"].ToString())
			{
				case "发布时间顺序":
					return 0;
				case "发布时间倒序":
					return 1;
				case "点击数":
					return 2;
				case "日点击数":
					return 3;
				case "周点击数":
					return 4;
				case "收藏数":
					return 5;
				case "评论数":
					return 6;
				case "最后评论时间":
					return 7;
				default:
					return 8;
			}
		}
		else
			return Convert.ToInt32(Request.QueryString["order"]);
	}
	private String 生成余下全部地址()
	{
		return "";
	}
	private void 生成下级栏目数据()
	{
		DataSet 数据=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
		DataSet 栏目数据=new DataSet();
		栏目数据.Tables.Add(数据.Tables[0].Clone());
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
			if(Convert.ToInt32(数据.Tables[0].Rows[i]["所属栏目"])==ID)
				栏目数据.Tables[0].Rows.Add(常用.数据_复制行(栏目数据.Tables[0],数据.Tables[0].Rows[i]));
		下级栏目数据=栏目数据;
	}
	private void 下级栏目列表75O51UIQ()
	{


		DataSet 数据=下级栏目数据;
		if(数据.Tables[0].Rows.Count<1)
			返回值.Append(@"");
		else
			for(int i=0;i<数据.Tables[0].Rows.Count;i++)
			{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"<a href=""");
			返回值.Append(行["外部链接地址"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接地址"].ToString(),访问.用户["标识"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"Column.aspx?ID="+行["ID"],访问.用户["标识"].ToString())));
			返回值.Append(@""">");
			返回值.Append(Server.HtmlEncode(行["栏目名称"].ToString()));
			返回值.Append(@"</a><br/>");

			}
	}
	private void 音乐列表7N9G45JT()
	{
		if(总记录数<1)
			返回值.Append(@"暂时还没有音乐<br/>");
		String 语句SQL="SELECT [ID],[所属栏目],[外部链接],[标题],[标题样式_粗体],[标题样式_斜体],[标题样式_删除线],[标题样式_颜色] FROM ["+程序.数据表前缀+"内容_音乐_音乐]"+查询条件;
		语句SQL+=" ORDER BY ";
		switch(排序)
		{
			case 0:
				语句SQL+="[发布时间]";
				break;
			case 1:
				语句SQL+="[发布时间] DESC";
				break;
			case 2:
				语句SQL+="[点击数] DESC";
				break;
			case 3:
				语句SQL+="[日点击数] DESC";
				break;
			case 4:
				语句SQL+="[周点击数] DESC";
				break;
			case 5:
				语句SQL+="[收藏数] DESC";
				break;
			case 6:
				语句SQL+="[评论数] DESC";
				break;
			case 7:
				语句SQL+="[最后评论时间] DESC";
				break;
			case 8:
				语句SQL+="[最后收藏时间] DESC";
				break;
		}
		SqlCommand 语句=new SqlCommand(语句SQL,访问.连接);
		语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		语句.Parameters.Add("@所属栏目",SqlDbType.Int).Value=ID;
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,(当前页-1)*一页显示记录数,一页显示记录数,"表");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"");
			返回值.Append((当前页-1)*一页显示记录数+i+1);
			返回值.Append(@".<a href=""");
			返回值.Append(行["外部链接"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接"].ToString(),访问.用户["外部链接"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"Content.aspx?CID="+行["所属栏目"]+"&ID="+行["ID"],访问.用户["标识"].ToString())));
			返回值.Append(@""">");
			返回值.Append(常用.标题样式(行["标题"].ToString(),Convert.ToBoolean(行["标题样式_粗体"]),Convert.ToBoolean(行["标题样式_斜体"]),Convert.ToBoolean(行["标题样式_删除线"]),Convert.ToString(行["标题样式_颜色"]),0));
			返回值.Append(@"</a><br/>");
		}
		}

		private String 下页代码FSGLD7AB()
		{
			String 返回值="";
			int 页数=当前页+1;
			if(当前页<总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">下页</a>";

			}
			else
			{

			}

			return 返回值;
		}

		private String 上页代码FICZ551E()
		{
			String 返回值="";
			int 页数=当前页-1;
			if(当前页>1)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">上页</a>";

			}
			else
			{

			}

			return 返回值;
		}
	private String 生成上级栏目列表代码0095VLR1(DataSet 数据,int ID)
	{
		if(ID!=0)
		{
			String 返回值="";
			String 栏目名称="";
			int 上级栏目=0;
			for(int i=0;i<数据.Tables[0].Rows.Count;i++)
			{
				DataRow 行=数据.Tables[0].Rows[i];
				if(Convert.ToInt32(行["ID"])==ID)
				{
					栏目名称=Convert.ToString(行["栏目名称"]);
					上级栏目=Convert.ToInt32(行["所属栏目"]);
				}
			}
				返回值+=@"<a href=""";
				返回值+=Server.HtmlEncode(常用.处理地址(程序.安装位置+"Column.aspx?ID="+ID,访问.用户["标识"].ToString()));
				返回值+=@""">";
				返回值+=Server.HtmlEncode(栏目名称);
				返回值+=@"</a>-";
				return 生成上级栏目列表代码0095VLR1(数据,上级栏目)+返回值;
		}
		else
		{
			return "";
		}
	}
	private int 获取一页显示记录数()
	{
		return 访问.获取一页显示记录数();

	}
}